# CUpti_PCSamplingGetStallReasonsParams Struct Reference
[CUPTI PC Sampling API]

Params for cuptiPCSamplingGetStallReasons.

## Data Fields
CUcontext | ctx
size_t | numStallReasons
void * | pPriv
size_t | size
uint32_t * | stallReasonIndex
char ** | stallReasons

## Field Documentation

CUcontext CUpti_PCSamplingGetStallReasonsParams::ctx

[w] CUcontext

size_t CUpti_PCSamplingGetStallReasonsParams::numStallReasons

[w] Number of stall reasons

void* CUpti_PCSamplingGetStallReasonsParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingGetStallReasonsParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingGetStallReasonsParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.

uint32_t* CUpti_PCSamplingGetStallReasonsParams::stallReasonIndex

[r] Stall reason index

char** CUpti_PCSamplingGetStallReasonsParams::stallReasons

[r] Stall reasons name